Arch: Unisci Pareti

From FreeCAD Documentation
Revision as of 19:12, 30 March 2020 by Renatorivo (talk | contribs) (Created page with "== Proprietà ==")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch CloseHoles.svg Chiudi i fori Pagina precedente:
Pagina successiva: Ispeziona Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Unisci Pareti

Nome nel codice
Arch MergeWalls
Posizione nel menu
Arch → Utilità → Unisci Pareti
Ambiente
Arch
Avvio veloce
Introdotto nella versione
-
Vedere anche
Parete


Descrizione

Lo strumento Unisci pareti fonde due o più Arch Wall.svg Pareti selezionate.

Utilizzo

  1. Selezionare due o più muri.
  2. Premere il pulsante Arch MergeWalls.svg, o utilizzare ArchUtilitàArch MergeWalls.svg Unisci pareti dal menu principale.

Proprietà

Limitazioni

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

base = joinWalls(walls, delete=False)

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Arch CloseHoles.svg Chiudi i fori Pagina precedente:
Pagina successiva: Ispeziona Arch Check.svg Arrow-right.svg